# Documentation

Menu

## ECICharsetTest extends TestCase
in package

ECICharsetTest.php : 17

### Table of Contents

encodingProvider() : array<string|int, mixed>
invalidIdProvider() : array<string|int, mixed>
testGetName() : void
testInvalidDataException() : void

### Methods

#### encodingProvider()

ECICharsetTest.php : 33
`public encodingProvider() : array<string|int, mixed>`

##### Return values

array<string|int, mixed> —

#### invalidIdProvider()

ECICharsetTest.php : 19
`public static invalidIdProvider() : array<string|int, mixed>`

##### Return values

array<string|int, mixed> —

#### testGetName()

ECICharsetTest.php : 46
`public testGetName(int $id[, string $name = null ]) : void`

##### Parameters

$id : int
$name : string = null

##### Tags

dataProvider

  encodingProvider

##### Return values

void —

#### testInvalidDataException()

ECICharsetTest.php : 26
`public testInvalidDataException(int $id) : void`

##### Parameters

$id : int

##### Tags

dataProvider

  invalidIdProvider

##### Return values

void —

## Search results